# openforcefield.topology.TopologyAtom

class `openforcefield.topology.``TopologyAtom`(atom, topology_molecule)

  A TopologyAtom is a lightweight data structure that represents a single openforcefield.topology.molecule.Atom in a Topology. A TopologyAtom consists of two references – One to its fully detailed “atom”, an openforcefield.topology.molecule.Atom, and another to its parent “topology_molecule”, which occupies a spot in the parent Topology’s TopologyMolecule list.

  As some systems can be very large, there is no always-existing representation of a TopologyAtom. They are created on demand as the user requests them.

  Warning

  This API is experimental and subject to change.

  Attributes
    `atom`

      Get the reference Atom for this TopologyAtom.

    `atomic_number`

      Get the atomic number of this atom

    `molecule`

      Get the reference Molecule that this TopologyAtom belongs to.

    `topology_atom_index`

      Get the index of this atom in its parent Topology.

    `topology_bonds`

      Get the TopologyBonds connected to this TopologyAtom.

    `topology_molecule`

      Get the TopologyMolecule that this TopologyAtom belongs to.

    `topology_particle_index`

      Get the index of this particle in its parent Topology.

  Methods

  `from_bson`(serialized) | Instantiate an object from a BSON serialized representation.
  `from_dict`(d) | Static constructor from dictionary representation.
  `from_json`(serialized) | Instantiate an object from a JSON serialized representation.
  `from_messagepack`(serialized) | Instantiate an object from a MessagePack serialized representation.
  `from_pickle`(serialized) | Instantiate an object from a pickle serialized representation.
  `from_toml`(serialized) | Instantiate an object from a TOML serialized representation.
  `from_xml`(serialized) | Instantiate an object from an XML serialized representation.
  `from_yaml`(serialized) | Instantiate from a YAML serialized representation.
  `to_bson`(self) | Return a BSON serialized representation.
  `to_dict`(self) | Convert to dictionary representation.
  `to_json`(self[, indent]) | Return a JSON serialized representation.
  `to_messagepack`(self) | Return a MessagePack representation.
  `to_pickle`(self) | Return a pickle serialized representation.
  `to_toml`(self) | Return a TOML serialized representation.
  `to_xml`(self[, indent]) | Return an XML representation.
  `to_yaml`(self) | Return a YAML serialized representation.

  `__init__`(self, atom, topology_molecule)

    Create a new TopologyAtom.

    Parameters
      atom An openforcefield.topology.molecule.Atom

        The reference atom

      topology_molecule An openforcefield.topology.TopologyMolecule

        The TopologyMolecule that this TopologyAtom belongs to

  Methods

  `__init__`(self, atom, topology_molecule) | Create a new TopologyAtom.
  `from_bson`(serialized) | Instantiate an object from a BSON serialized representation.
  `from_dict`(d) | Static constructor from dictionary representation.
  `from_json`(serialized) | Instantiate an object from a JSON serialized representation.
  `from_messagepack`(serialized) | Instantiate an object from a MessagePack serialized representation.
  `from_pickle`(serialized) | Instantiate an object from a pickle serialized representation.
  `from_toml`(serialized) | Instantiate an object from a TOML serialized representation.
  `from_xml`(serialized) | Instantiate an object from an XML serialized representation.
  `from_yaml`(serialized) | Instantiate from a YAML serialized representation.
  `to_bson`(self) | Return a BSON serialized representation.
  `to_dict`(self) | Convert to dictionary representation.
  `to_json`(self[, indent]) | Return a JSON serialized representation.
  `to_messagepack`(self) | Return a MessagePack representation.
  `to_pickle`(self) | Return a pickle serialized representation.
  `to_toml`(self) | Return a TOML serialized representation.
  `to_xml`(self[, indent]) | Return an XML representation.
  `to_yaml`(self) | Return a YAML serialized representation.

  Attributes

  `atom` | Get the reference Atom for this TopologyAtom.
  `atomic_number` | Get the atomic number of this atom
  `molecule` | Get the reference Molecule that this TopologyAtom belongs to.
  `topology_atom_index` | Get the index of this atom in its parent Topology.
  `topology_bonds` | Get the TopologyBonds connected to this TopologyAtom.
  `topology_molecule` | Get the TopologyMolecule that this TopologyAtom belongs to.
  `topology_particle_index` | Get the index of this particle in its parent Topology.